List Projects belonging to a Customer
GET/v2/ customers/ {customerId}/ projects/
API version
v2
Request method
GET
Operation ID
project-list-customer-projects
Request
Responses
Usage examples
- cURL
- JavaScript SDK
- PHP SDK
$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/customers/15b8a787-8d46-43b0-907e-01af35032c0a/projects?searchTerm=string&limit=50&page=1&sort=createdAt&order=asc
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";
const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.project.listCustomerProjects({
"customerId": "15b8a787-8d46-43b0-907e-01af35032c0a",
"queryParameters": {
"searchTerm": "string",
"limit": 50,
"page": 1,
"sort": "createdAt",
"order": "asc"
}
});
assertStatus(response, 200);
use \Mittwald\ApiClient\Generated\V2\Clients\Project\ListCustomerProjects\ListCustomerProjectsRequest;
$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));
$request = (new ListCustomerProjectsRequest(
customerId: "15b8a787-8d46-43b0-907e-01af35032c0a"
))
->withSearchTerm("string")
->withLimit(50)
->withPage(1)
->withSort("createdAt")
->withOrder("asc");
$response = $client->project()->listCustomerProjects($request);
var_dump($response->getBody();